<p>title: Memecah String ke Bentuk Array dan Sebaliknya
description:</p>
<hr />
<p>Adakalanya kita harus mengurai suatu string dan mengolahnya, seperti contohnya mengambil segmen tertentu dari sebuah url. Untuk hal ini kita dapat menggunakan fungsi <code>explode()</code>.</p>
<pre><code>$url = "codepolitan.com/interactive-coding/php/echo";
$segmen = explode("/", $url);</code></pre>
<p>Pada kode di atas kita memecah string <code>$url</code> ke dalam bentuk array dengan menggunakan karakter &quot;/&quot; sebagai pembatasnya.</p>
<p>Kita juga dapat melakukan hal sebaliknya, yakni menggabungkan nilai-nilai di dalam array menjadi satu kesatuan string. Untuk ini kita dapat menggunakan fungsi <code>implode()</code>.</p>
<pre><code>$tags = array('php', 'belajar php', 'tutorial php');
$tag_str = implode(", ", $tags);</code></pre>
<p>Pada kode di atas kita menggabungkan semua nilai elemen pada <code>$tags</code> dengan menggunakan karakter &quot;, &quot; (koma dan spasi) sebagai penghubung antar nilai.</p>
<h2>Praktek</h2>
<ul>
<li>Pada editor terdapat contoh kode implementasi fungsi <code>explode()</code>. Jalankan program dan lihat hasilnya di tab &quot;Plain Text&quot; pada kolom output.</li>
<li>Pada baris ke-7 buat variabel <code>$new_url</code>. Gabungkan kembali setiap nilai elemen array <code>$segmen</code> dengan menggunakan fungsi 'implode()<code>dan simpan hasilnya ke dalam variabel</code>$new_url`.</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/manipulasi-memecahstringkearrayatausebaliknya"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>